Skip to main content
PATCH
/
user
/
my
/
security
Update My Security
curl --request PATCH \
  --url https://api.example.com/user/my/security \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "two_factor_enabled": true,
  "two_factor_method": "<string>",
  "backup_codes": [
    "<string>"
  ],
  "recovery_email": "jsmith@example.com"
}
'
{
  "user_id": 123,
  "two_factor_enabled": true,
  "updated_at": "2023-11-07T05:31:56Z",
  "two_factor_method": "<string>",
  "backup_codes": [
    "<string>"
  ],
  "last_password_change_at": "2023-11-07T05:31:56Z",
  "recovery_email": "jsmith@example.com"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
two_factor_enabled
boolean | null
two_factor_method
string | null
backup_codes
string[] | null
recovery_email
string<email> | null

Response

Successful Response

user_id
integer
required
two_factor_enabled
boolean
required
updated_at
string<date-time>
required
two_factor_method
string | null
backup_codes
string[] | null
last_password_change_at
string<date-time> | null
recovery_email
string<email> | null